Package org.codehaus.groovy.reflection

# Class ParameterTypes

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes

Direct Known Subclasses:
  `CachedConstructor`, `MetaMethod`

    public class ParameterTypes
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected boolean` | `isVargsMethod` |
  `protected java.lang.Class[]` | `nativeParamTypes` |
  `protected CachedClass[]` | `parameterTypes` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ParameterTypes()` |
  `ParameterTypes​(java.lang.Class[] pt)` |
  `ParameterTypes​(java.lang.String[] pt)` |
  `ParameterTypes​(CachedClass[] pt)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object[]` | `coerceArgumentsToClasses​(java.lang.Object[] arguments)` |
  `java.lang.Object[]` | `correctArguments​(java.lang.Object[] arguments)` |
  `java.lang.Class[]` | `getNativeParameterTypes()` |
  `CachedClass[]` | `getParameterTypes()` |
  `protected java.lang.Class[]` | `getPT()` |
  `boolean` | `isValidExactMethod​(java.lang.Class[] args)` |
  `boolean` | `isValidExactMethod​(java.lang.Object[] args)` |
  `boolean` | `isValidMethod​(java.lang.Class[] argumentTypes)` |
  `boolean` | `isValidMethod​(java.lang.Object[] arguments)` |
  `boolean` | `isVargsMethod()` |
  `boolean` | `isVargsMethod​(java.lang.Object[] arguments)` |
  `protected void` | `setParametersTypes​(CachedClass[] pt)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parameterTypes

    protected volatile CachedClass[] parameterTypes

  - ### nativeParamTypes

    protected volatile java.lang.Class[] nativeParamTypes

  - ### isVargsMethod

    protected boolean isVargsMethod

- ## Constructor Details

  - ### ParameterTypes

    public ParameterTypes()

  - ### ParameterTypes

    public ParameterTypes​(java.lang.Class[] pt)

  - ### ParameterTypes

    public ParameterTypes​(java.lang.String[] pt)

  - ### ParameterTypes

    public ParameterTypes​(CachedClass[] pt)

- ## Method Details

  - ### setParametersTypes

    protected final void setParametersTypes​(CachedClass[] pt)

  - ### getParameterTypes

    public CachedClass[] getParameterTypes()

  - ### getNativeParameterTypes

    public java.lang.Class[] getNativeParameterTypes()

  - ### getPT

    protected java.lang.Class[] getPT()

  - ### isVargsMethod

    public boolean isVargsMethod()

  - ### isVargsMethod

    public boolean isVargsMethod​(java.lang.Object[] arguments)

  - ### coerceArgumentsToClasses

    public final java.lang.Object[] coerceArgumentsToClasses​(java.lang.Object[] arguments)

  - ### correctArguments

    public java.lang.Object[] correctArguments​(java.lang.Object[] arguments)

  - ### isValidMethod

    public boolean isValidMethod​(java.lang.Class[] argumentTypes)

  - ### isValidExactMethod

    public boolean isValidExactMethod​(java.lang.Object[] args)

  - ### isValidExactMethod

    public boolean isValidExactMethod​(java.lang.Class[] args)

  - ### isValidMethod

    public boolean isValidMethod​(java.lang.Object[] arguments)